cURL
curl -X GET 'https://api.telegent.com/v1.0/account/services' \
-H 'Authorization: Bearer YOUR_TOKEN'import requests
url = "https://api.telegent.com/v1.0/account/services"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.telegent.com/v1.0/account/services', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"AggregatorId": "AGID-1e24785ab-3f3c-7db1-89d7-956d80fdnn2",
"TotalServices": 1,
"Filter": "Active",
"Results": [
{
"ServiceId": "SID-65d007be-8b49-45ac-b8ae-77b8d6a66c8b",
"ServiceName": "Caller Id",
"Cost": 2.34,
"Monthly": true,
"Active": true
}
]
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}Accounts
Get Services
Retrieve a list of all services available in your account. Use the optional Filter parameter to filter by service status (e.g., Active, Inactive).
What this does: Returns a list of services available on the account. Services are the billable components that make up products and packages.
Next steps:
- Get service details —
GET /v1.0/services - Create a service —
POST /v1.0/services
GET
/
v1.0
/
account
/
services
cURL
curl -X GET 'https://api.telegent.com/v1.0/account/services' \
-H 'Authorization: Bearer YOUR_TOKEN'import requests
url = "https://api.telegent.com/v1.0/account/services"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.telegent.com/v1.0/account/services', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"AggregatorId": "AGID-1e24785ab-3f3c-7db1-89d7-956d80fdnn2",
"TotalServices": 1,
"Filter": "Active",
"Results": [
{
"ServiceId": "SID-65d007be-8b49-45ac-b8ae-77b8d6a66c8b",
"ServiceName": "Caller Id",
"Cost": 2.34,
"Monthly": true,
"Active": true
}
]
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}Query Parameters
Filter by status (e.g., Active, Inactive, All)
Response
Get Services List
The response is of type object.
⌘I